PRLIMIT(1)

NOM
prlimit - Obtenir et définir les limites de ressource

SYNOPSIS
prlimit [options] [--ressource[=limites] [--pid PID]

prlimit [options] [--ressource[=limites] commande [argument ...]

DESCRIPTION
À partir d’un identifiant de processus et d’au moins une ressource, prlimit essaye de récupérer ou de modifier les limites.

Si la commande est fournie, prlimit exécutera cette commande avec les arguments fournis.

Le paramètre limites est composé d’une valeur molle et d’une dure, séparées par un deux-points (:), de façon à modifier les valeurs existantes. En absence de limites, prlimit affichera les valeurs actuelles. Si une des valeurs n’est pas donnée, alors l’existante sera utilisée. Pour indiquer les limites « illimité » ou « infini » (RLIM_INFINITY), les chaînes -1 ou unlimited peuvent être passées.

À cause de la nature des limites, la limite molle doit être inférieure ou égale à la limite haute (aussi appelée plafond). Toutes les limites de ressource disponibles sont présentées dans la section OPTIONS DE RESSOURCE.

molle:dure   Indiquer les deux limites.

molle:       N’indiquer que la limite molle.

:dure        N’indiquer que la limite dure.

valeur       Indiquer les deux limites à la même valeur.

OPTIONS GLOBALES

-h, --help
    Afficher un texte d'aide puis quitter.

--noheadings
    Ne pas afficher de ligne d'en-tête.

-o, --output liste
    Définir les colonnes à afficher. Si aucune disposition de sortie n'est indiquée, un ensemble par défaut est utilisé. Utilisez --help pour obtenir une liste de toutes les colonnes gérées.

-p, --pid
    Indiquer l’identifiant de processus ; si aucun n’est donné, le processus en cours d'exécution sera utilisé.

--raw
    Utiliser l'affichage au format brut.

--verbose
    Mode verbeux.

-V, --version
    Afficher les informations sur la version et quitter.

OPTIONS DE RESSOURCE

-c, --core[=limites]
    Taille maximale d’un fichier « core ».

-d, --data[=limites]
    Taille maximale des données.

-e, --nice[=limites]
    Priorité « nice » maximale permise.

-f, --fsize[=limites]
    Taille maximale de fichier.

-i, --sigpending[=limites]
    Nombre maximal de signaux en attente.

-l, --memlock[=limites]
    Espace d’adressage maximal verrouillé en mémoire.

-m, --rss[=limites]
    Taille de mémoire résidente (RSS) maximale.

-n, --nofile[=limites]
    Nombre maximal de fichiers ouverts.

-i, --msgqueue[=limites]
    Nombre maximal d’octets dans les files de messages POSIX.

-r, --rtprio[=limites]
    Priorité temps réel maximale.

-s, --stack[=limites]
    Taille maximale de la pile.

-t, --cpu[=limites]
    Temps processeur, en seconde.

-u, --nproc[=limites]
    Nombre maximal de processus.

-v, --as[=limites]
    Limite d’espace d’adressage.

-x, --locks[=limites]
    Nombre maximal de verrous de fichier maintenus.

-y, --rttime[=limites]
    Délai d’expiration pour les tâches temps réel.

EXEMPLES

prlimit --pid 13134
    Afficher les valeurs limites de toutes les ressources actuelles.

prlimit --pid 13134 --rss --nofile=1024:4095
    Afficher les limites de la RSS et définir les limites molle et dure pour le nombre de fichiers ouverts respectivement à 1024 et 4095.

prlimit --pid 13134 --nproc=512:
    Ne modifier que la limite molle pour le nombre de processus.

prlimit --pid $$ --nproc=unlimited
    Définir, pour le processus actuel, à la fois les valeurs molle et plafond du nombre de processus à illimité.

prlimit --cpu=10 sort -u hugefile
    Définir à la fois les valeurs limites de temps processeur molle et dure à dix secondes et exécuter sort.

VOIR AUSSI
ulimit(1), prlimit(2)

NOTES
L’appel système prlimit est pris en charge depuis Linux 2.6.36, les noyaux plus anciens casseront ce programme.

AUTEURS
Davidlohr Bueso <dave@gnu.org> – en mémoire à Dennis M. Ritchie.

DISPONIBILITÉ
La commande prlimit fait partie du paquet util-linux, elle est disponible sur <ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.